[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#468604: python-xml removal: please drop/replace (build) dependencies

Package: memaid-pyqt
Severity: important
User: pkg-zope-developers@lists.alioth.debian.org
Usertags: python-xml-removal

Since some time a subset of python-xml is included in the
standard python library, while the python-xml package did not see
any updates for years.  It is time to drop it from the distribution.
Update scenarios:

 - Just drop the (build) dependency, if the functionality is included
   in python. (Build)-depend on python (>= 2.4).

 - Copy missing code in the std library from the python-xml package.
   (e.g. for some installer packages: localechoose).

 - Use another xml library (python-4suite-xml, python-lxml).

Please contact the ML pkg-zope-developers@lists.alioth.debian.org
for further questions and help.  Patches for some packages may be
available as a diff of an Ubuntu package at

It is likely that the severity of this report is raised before the

Reply to: